Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?

From: Thomas Eklund <[email-masked]>
Date: Mon, 13 Dec 1999 10:49:41 +0100

> -----Original Message-----
> From: Francis Dupont [mailto:[email-masked]]
> Sent: Monday, December 13, 1999 10:41 AM
> To: Thomas Eklund
> Cc: [email-masked]
> Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?
>
>
>  In your previous mail you wrote:
>
>    It is a tradeoff between radio resources and granularity
> of the router
>    advertisements. If you advertises them more often then the
> standard 3 sec.
>
> => standard is 600 seconds (RFC 2461 6.2.1) not 3... Router
> advertisements
> are expensive then I don't believe it is a good idea to have
> very frequent
> router advertisements, even with proposed adjustements of
> section 6.5 of
> draft-ietf-mobileip-ipv6-09.txt.

I was not speaking for frequent RA...:-)

But the frequency will be different on different networks!
Higher frequency on wireless LAN type of radio and less in WAN radio...
>
>    you will get a "speakier" radio wich would limit your
> bandwidth, and if its
>    advertised to seldom it will take time to discover a
> movement. So its a
>    tradeoff and you would have to tune for different network.
>
>    --------------------
>    There are though some easy tricks you can do,
>
> => no, there is no easy trick to recover when you have two nodes with
> the same address.
>
>    and that is to have a pool of
>    static addresses that could be autoconfigured with DHCP.
>    So when you autoconfigure using ND and get a conflict when
> you do your DAD,
>
> => the discussion was about is the DAD necessary or not. I
> believe your
> easy trick is about how to recover from a conflict detected by the DAD
> (there are plenty easy tricks in such a case, for instance a random
> interface ID should near always work with less than one
> billion of nodes
> are on the link :-).
Fair enough, and I aggree...

But even if you do as you suggests, you can get colissions... :-)

-- Thomas
>
>    you do a stateful DHCP request from this pool. This is a
> very nice way of
>    solving the problem.
>    This is how I have done it.
>
> [email-masked]
>

---

From: Francis Dupont <[email-masked]>
Date: Mon, 13 Dec 1999 11:16:36 +0100

=> interface IDs are 64 bit long, if you remove the global bit the
birthday standard argument give a zero probability of a collision when
there are less than 2^(63/2) (ie 3037000500) nodes: I can live with this!

[email-masked]